dtd Class Reference

## Public Member Functions

| dtd ()
| ~dtd ()
bool | parseFile (const char *filename)
bool | parseString (const char *string)
const char * | getError ()
xmldomnode * | xml ()

## Detailed Description

The dtd class implements a minimal XML DTD parser.

## Constructor & Destructor Documentation

dtd::dtd | ( |  | ) |

Creates an instance of the dtd class.

dtd::~dtd | ( |  | ) |

Deletes this instance of the dtd class.

## Member Function Documentation

const char* dtd::getError | ( |  | ) |

If parseFile() or parseString() fails, returns the error that caused the failure.

bool dtd::parseFile | ( | const char * | filename | ) |

Parse file "filename" and generate DTD tree. Returns true on success and false on failure.

bool dtd::parseString | ( | const char * | string | ) |

Parse string "string" and generate a DTD tree. Returns true on success and false on failure.

xmldomnode* dtd::xml | ( |  | ) |

Returns an XML representation of the DTD.